%define product		ZAAPlugins
%define version		2.3
%define release		3

%define zope_minver	2.7

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	ZAAPlugins : a collection of ZAttachment Plugins
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		http://belnet.dl.sourceforge.net/sourceforge/ingeniweb/ZAAPlugins-2.3.tar.bz2
URL:		http://ingeniweb.sourceforge.net/Products/ZAAPlugins/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver} zope-ZAttachmentAttribute >= 2.3 xlhtml xpdf wv

%description
ZAAPlugins : a collection of ZAttachment Plugins

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*


%changelog
* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3-3mdk
- fix path on x86_64

* Tue Apr 24 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 2.3-2mdk
- use mkrel

* Tue Jan 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3-1mdk
- initial contrib
